function addkchunks(basedir, dist_str, svm, mdpm, w_min_str, w_max_str, kchunk_size_str)
p.vol=1;
if p.vol,disp(['INFO: Starting ' mfilename('fullpath') ' SVN $Revision: 120 $ issue 001']);end
 
maxNumCompThreads(1);

w_min       = str2double(w_min_str);
w_max       = str2double(w_max_str);
kchunk_size = str2double(kchunk_size_str);

% Load structure to get information on size of kernel
str=[basedir 'Kchunks/K' svm '_' mdpm '_dist' dist_str '_omega' num2str(w_min) '-' num2str(w_min-1+kchunk_size) '.fits'];
tmp = fitsinfo(str);
Nx = tmp.PrimaryData.Keywords{4,2};
Ny = tmp.PrimaryData.Keywords{5,2};
Nz = tmp.PrimaryData.Keywords{6,2};
%[Ny Nx Nz] = size(tmp);
data = zeros([Ny Nx Nz]);
clear tmp
if p.vol,disp(['INFO: addkchunks.m : Nx = ' num2str(Nx) ', Ny = ' num2str(Ny) ', Nz = ' num2str(Nz) ]);end

% specify units
if strcmp(svm,'csq') || strcmp(svm,'rho') || strcmp(svm,'P')
    units = 's/Mm^3';
    comment = ['Kernel for fractional perturbation in ' svm];
elseif strcmp(svm,'vx') || strcmp(svm,'vy') || strcmp(svm,'vz')
    units = 's^2/Mm^4';
    comment = ['Kernel for perturbation in ' svm];
elseif strcmp(svm,'BxBx') || strcmp(svm,'BxBy') || strcmp(svm,'BxBz') ...
        || strcmp(svm,'ByBy') || strcmp(svm,'ByBz') || strcmp(svm,'BzBz')
    units = 'TBD';
    comment = ['Kernel for perturbation in ' svm];
end
for i = w_min:kchunk_size:w_max-kchunk_size+1
    str = [basedir 'Kchunks/K' svm '_' mdpm '_dist' dist_str '_omega' num2str(i) '-' num2str(i-1+kchunk_size) '.fits'];
    disp(['INFO: addkchunks.m : Starting reading ' str]);
    data = data + fitsread(str);
    disp(['INFO: addkchunks.m : Finished reading ' str]);
end

str = [basedir 'K' svm '_' mdpm '_dist' dist_str '.fits'];
hdr(1,:) = make_card('UNITS', units, comment);
if p.vol,disp(['INFO: addkchunks.m : Starting saving kernel ' str ' with units ' units]);end
fitswrite(data, [basedir 'K' svm '_' mdpm '_dist' dist_str '.fits'],-64,[],[],hdr);
if p.vol,disp(['INFO: addkchunks.m : Finished saving kernel ' str ' with units ' units]);end

if p.vol,disp(['INFO: Finished ' mfilename('fullpath') ' SVN $Revision: 120 $']);end

end
