function [w,W_mean,W_diff]=calc_W_window_v2(t,delta,xcorr,p)

% [w,W_mean,W_diff]=calc_W_window_v2(t,t1,t2,xcorr);
% so that
% dt = \Re \int_0^\infty d\omega W(\omega) \delta C(\omega)
%
% the time window is [t1,t2]
%
% length delta = 20
% length t    = 3201: from -4.4431e+04 to 4.4431e+04
% t(1601) = 0

[Ndelta,Nt]=size(xcorr);
%CREF=zeros(size(xcorr));

W_mean=zeros(Ndelta,length(t)); % lenght(t) = 3201 initially
W_diff=zeros(Ndelta,length(t));

%dt=zeros(Ndelta,1);

str=p.guess_times_file;
if (strcmp(str,'fmode_window'))
    t1=zeros(size(delta));
    t2=max(t)*ones(size(delta));
else
    f=fopen(str,'r');
    s=fscanf(f,'%f ');
    L=length(s);
    s=reshape(s.',[3 L/3]);
    guess_times=s.';
    fclose(f);
    t1=interp1(guess_times(:,3),guess_times(:,2)*60,delta)-10*60;
    t2=interp1(guess_times(:,3),guess_times(:,2)*60,delta)+10*60;
end

for I = 1:Ndelta
    C=xcorr(I,:); % no need to do this unless trimming stuff down which we don't
    Cdot=gradient(C,t);
    %Cddot=gradient(Cdot,t);
    
    % Create the Heaviside function f=Hea
    % but it is not just the heaviside, it has a factor of max(t) out
    % the front, f+ amd f-
    
    f_p=(t>t1(I)).*(t<t2(I));
    f_m=((-t)>t1(I)).*( (-t)<t2(I));
    %  f_p=(t>0);
    %  f_m=(t<0);
    
    [w,W_p] = gizon_fft(t, f_p.*Cdot); % turn this into the omega space for each distance    
    I1      = -integrate(t,f_p.*Cdot.^2);
    W_p     = W_p/I1;
    
    [w,W_m] = gizon_fft(t,f_m.*Cdot);
    I2      = -integrate(t,f_m.*Cdot.^2);
    W_m     = -W_m/I2;
    
    W_mean(I,:)=(W_p+W_m)/2;
    W_diff(I,:)=(W_p-W_m);
end
% at this point we also have 3201 w points correspondsing to the 3201 t pts

% Finally take the complex conjugate and include the factor of 4 pi
% and only take values for which omega is positive.
I=find(w>0);
% this reduces omega down to 1600 pts
w=w(I);

tmp1=zeros(Ndelta,length(I));
tmp2=zeros(Ndelta,length(I));
for i = 1:Ndelta
    tmp1(i,:)=4*pi*conj(W_mean(i,I));
    tmp2(i,:)=4*pi*conj(W_diff(i,I));
end
W_mean=tmp1;
W_diff=tmp2;


