function CCP = compute_P(Ny, Nx, Nt, t, cf, m, d, ~, geo1, geo2, I3, I6, I7, I8, I11, I12, I13, I14, I15, I16)

fprintf(1,['INFO: Starting ' mfilename('fullpath') ' SVN $Revision: 120 $\n']);

method = 'linear';

P = interp1(m.t, m.P, t);

CCP = zeros([Ny Nx Nt]);
for j = 1:Nt
    fprintf(1,['INFO: compute_P.m : j = ' num2str(j) '\n']);            
    I8_1=interp1(d,I8(:,j),geo1.D,method);
    I8_2=interp1(d,I8(:,j),geo2.D,method);
    I12_1=interp1(d,I12(:,j),geo1.D,method);
    I12_2=interp1(d,I12(:,j),geo2.D,method);
    I14_1_minus_I13_1 = interp1(d,I14(:,j),geo1.D,method) - interp1(d,I13(:,j),geo1.D,method);
    I14_2_minus_I13_2 = interp1(d,I14(:,j),geo2.D,method) - interp1(d,I13(:,j),geo2.D,method);
    I16_1_minus_I15_1 = interp1(d,I16(:,j),geo1.D,method) - interp1(d,I15(:,j),geo1.D,method);
    I16_2_minus_I15_2 = interp1(d,I16(:,j),geo2.D,method) - interp1(d,I15(:,j),geo2.D,method);
    
    % Function I3_i and II1_i
    I3_x_1 = -geo1.D_x .* I14_1_minus_I13_1;
    I3_x_2 = -geo2.D_x .* I14_2_minus_I13_2;
    I3_y_1 = -geo1.D_y .* I14_1_minus_I13_1;
    I3_y_2 = -geo2.D_y .* I14_2_minus_I13_2;
    
    II1_x_1 = -geo1.D_x .* I8_1;
    II1_x_2 = -geo2.D_x .* I8_2;
    II1_y_1 = -geo1.D_y .* I8_1;
    II1_y_2 = -geo2.D_y .* I8_2;
     
    % Repeat
    I6_1_minus_I3_1  = interp1(d,I6(:,j),geo1.D,method)  - interp1(d,I3(:,j),geo1.D,method); % I6_1 - I3_1
    I6_2_minus_I3_2  = interp1(d,I6(:,j),geo2.D,method)  - interp1(d,I3(:,j),geo2.D,method); % I6_2 - I3_2
    I11_1_minus_I7_1 = interp1(d,I11(:,j),geo1.D,method) - interp1(d,I7(:,j),geo1.D,method); % I11_1 - I7_1
    I11_2_minus_I7_2 = interp1(d,I11(:,j),geo2.D,method) - interp1(d,I7(:,j),geo2.D,method); % I11_2 - I7_2
    common = (I6_2_minus_I3_2 .* I11_1_minus_I7_1 + conj(I6_1_minus_I3_1) .* conj(I11_2_minus_I7_2));
    % End Repeat
    
    Pterm =  II1_x_1 .* I3_x_2 + II1_y_1 .* I3_y_2 + I12_1 .* I16_2_minus_I15_2 + conj(II1_x_2 .* I3_x_1 + II1_y_2 .* I3_y_1 + I12_2 .* I16_1_minus_I15_1);
    CCP(:,:,j) = cf.the_omega_sq * cf.twopi7_mzero * P(j) * ( common + Pterm );
end

fprintf(1,['INFO: Finishing ' mfilename('fullpath') ' SVN $Revision: 120 $\n']);

end

