function CCcsq = compute_csq(Ny, Nx, Nt, t, cf, m, d, ~, geo1, geo2, I3, I6, I7, I11)

fprintf(1,['INFO: Starting ' mfilename('fullpath') ' SVN $Revision: 120 $\n']);

method = 'linear';

fprintf(1,'INFO: compute_csq : starting computation of CCcsq\n');

rhocsq       = interp1(m.t, m.rho, t) .* (interp1(m.t, m.c, t)).^2;

CCcsq = zeros([Ny Nx Nt]);
for j = 1:Nt
    fprintf(1,['INFO: compute_csq : j = ' num2str(j) '\n']);
    CCcsq(:,:,j) = -cf.the_omega_sq * cf.twopi7_mzero * rhocsq(j) * (                       ...
               (interp1(d,I6(:,j), geo2.D,method) - interp1(d,I3(:,j),geo2.D,method)) ...
        .*     (interp1(d,I11(:,j),geo1.D,method) - interp1(d,I7(:,j),geo1.D,method)) ...
        +  conj(interp1(d,I6(:,j), geo1.D,method) - interp1(d,I3(:,j),geo1.D,method)) ...
        .* conj(interp1(d,I11(:,j),geo2.D,method) - interp1(d,I7(:,j),geo2.D,method)) ...
        ); 
end

fprintf(1,['INFO: Finishing ' mfilename('fullpath') ' SVN $Revision: 120 $\n']);

end
