function CCvy = compute_vy (Ny, Nx, Nt, t, cf, m, d, ~, geo1, geo2, I1, I2, I7, I8, I9)

fprintf(1,['INFO: Starting ' mfilename('fullpath') ' SVN $Revision: 120 $\n']);

method = 'linear';

two_twopi7_iomega_mzero = 1i * 2 * cf.the_omega * cf.twopi7_mzero;
rho_two_twopi7_iomega_mzero_the_omega_the_omega = interp1(m.t, m.rho, t) * two_twopi7_iomega_mzero * cf.the_omega * cf.the_omega;

geo1_Dyy_min_Dxx = geo1.D_yy - geo1.D_xx;
geo2_Dyy_min_Dxx = geo2.D_yy - geo2.D_xx;

CCvy = zeros([Ny Nx Nt]);
for j = 1:Nt
    fprintf(1,['INFO: compute_vy.m : j = ' num2str(j) '\n']);            
    I1_1=interp1(d,I1(:,j),geo1.D,method);
    I1_2=interp1(d,I1(:,j),geo2.D,method);
    I2_1=interp1(d,I2(:,j),geo1.D,method);
    I2_2=interp1(d,I2(:,j),geo2.D,method);
    I7_1=interp1(d,I7(:,j),geo1.D,method);
    I7_2=interp1(d,I7(:,j),geo2.D,method);
    I8_1=interp1(d,I8(:,j),geo1.D,method);
    I8_2=interp1(d,I8(:,j),geo2.D,method);
   
    I1_x_1 = -geo1.D_x .* I1_1;
    I1_x_2 = -geo2.D_x .* I1_2;
    I1_y_1 = -geo1.D_y .* I1_1;
    I1_y_2 = -geo2.D_y .* I1_2;
    I1_z_1 = I2_1;
    I1_z_2 = I2_2;
  
    II2_xy_1 = -2 * geo1.D_xy .* I8_1 - geo1.D_x .* geo1.D_y .* I7_1;
    II2_xy_2 = -2 * geo2.D_xy .* I8_2 - geo2.D_x .* geo2.D_y .* I7_2;
    II2_yy_1 = -(geo1.D_y).^2 .* I7_1 - geo1_Dyy_min_Dxx .* I8_1;
    II2_yy_2 = -(geo2.D_y).^2 .* I7_2 - geo2_Dyy_min_Dxx .* I8_2;    
    II2_yz_1 = -geo1.D_y .* interp1(d,I9(:,j),geo1.D,method);
    II2_yz_2 = -geo2.D_y .* interp1(d,I9(:,j),geo2.D,method);
    II2_yx_1=II2_xy_1;
    II2_yx_2=II2_xy_2;
    
    term_y_x = II2_yx_1.*I1_x_2 - conj( II2_yx_2.*I1_x_1 );
    term_y_y = II2_yy_1.*I1_y_2 - conj( II2_yy_2.*I1_y_1 );
    term_y_z = II2_yz_1.*I1_z_2 - conj( II2_yz_2.*I1_z_1 );
    CCvy(:,:,j) = rho_two_twopi7_iomega_mzero_the_omega_the_omega(j) * (term_y_x+term_y_y+term_y_z);
    
end

fprintf(1,['INFO: Finishing ' mfilename('fullpath') ' SVN $Revision: 120 $\n']);

end

