function CCvz = compute_vz (Ny, Nx, Nt, t, cf, m, d, ~, geo1, geo2, I1, I2, I10, I11)

fprintf(1,['INFO: Starting ' mfilename('fullpath') ' SVN $Revision: 120 $\n']);

method = 'linear';

two_twopi7_iomega_mzero = 1i * 2 * cf.the_omega * cf.twopi7_mzero;
rho_two_twopi7_iomega_mzero_the_omega_the_omega = interp1(m.t, m.rho, t) * two_twopi7_iomega_mzero * cf.the_omega * cf.the_omega;

CCvz = zeros([Ny Nx Nt]);
for j = 1:Nt
    fprintf(1,['INFO: compute_vz.m : j = ' num2str(j) '\n']);            
    I2_1  = interp1(d,I2(:,j),geo1.D,method);
    I2_2  = interp1(d,I2(:,j),geo2.D,method);
    I11_1 = interp1(d,I11(:,j),geo1.D,method);
    I11_2 = interp1(d,I11(:,j),geo2.D,method);
   
    I1_x_1 = -geo1.D_x .* interp1(d,I1(:,j),geo1.D,method);
    I1_x_2 = -geo2.D_x .* interp1(d,I1(:,j),geo2.D,method);
    I1_y_1 = -geo1.D_y .* interp1(d,I1(:,j),geo1.D,method);
    I1_y_2 = -geo2.D_y .* interp1(d,I1(:,j),geo2.D,method);
    
    II2_zx_1 = -geo1.D_x .* interp1(d,I10(:,j),geo1.D,method);
    II2_zx_2 = -geo2.D_x .* interp1(d,I10(:,j),geo2.D,method);
    II2_zy_1 = -geo1.D_y .* interp1(d,I10(:,j),geo1.D,method);
    II2_zy_2 = -geo2.D_y .* interp1(d,I10(:,j),geo2.D,method);
    
    term_z_x = II2_zx_1.*I1_x_2 - conj( II2_zx_2.*I1_x_1 );
    term_z_y = II2_zy_1.*I1_y_2 - conj( II2_zy_2.*I1_y_1 );
    term_z_z = I11_1.*I2_2      - conj( I11_2.*I2_1      );
    
    CCvz(:,:,j) = rho_two_twopi7_iomega_mzero_the_omega_the_omega(j) * (term_z_x+term_z_y+term_z_z);
end

fprintf(1,['INFO: Finishing ' mfilename('fullpath') ' SVN $Revision: 120 $\n']);

end

