function copy_inputs(p)

% Copy input files into the output directory
out=make_fname(p,'inputs/');

if (~exist(out,'dir'));
    try
        eval(['! mkdir ' out]);
    catch ME
        disp(['ERROR: copy_inputs.m : failed to make the directory ' out]);
        rethrow(ME);
    end
end
copy_file(out,p.input_name);

% the eigenfunctions
out_eigs=[out 'eigenfunctions'];
if (~exist(out_eigs,'dir'));
    try
        eval(['! mkdir ' out_eigs]);
    catch ME
        disp(['ERROR: copy_inputs.m : failed to make the directory ' out_eigs]);
        rethrow(ME);
    end
end

for n=0:p.max_n;
    copy_file(out_eigs,[p.eig_file num2str(n) '.mat']);
end

% the damping matrix
copy_file(out,p.damping_file);

% the model file
copy_file(out,p.model_file);

% the filter stuff
copy_filter(p);

% the input file
copy_file(out,p.input_name);

% the input file
if (~strcmp(get_file_name(p.guess_times_file),'fmode_window'))
    copy_file(out,p.guess_times_file);
end
