function [D] = divergence2(k,V,W,t,c)
%
%
%
%
%
% take divergence, last index of V,W is acoustic depth
% V,W, can be two or three dimensional
% second to last index is k

[N1,N2,N3]=size(V);
if(N3==1)
  V=reshape(V,1,N1,N2);
  W=reshape(W,1,N1,N2);
  new_N1=1;
  new_N2=N1;
  new_N3=N2;
  
  N1=new_N1;
  N2=new_N2;
  N3=new_N3;
end;

if (length(k)~=N2)
  error('k is the wrong length in divergence');
end;
if (length(t)~=length(c) || length(c)~=N3)
  error('either t or c is the wrong length in divergence');
end;

% disp('WARNING: currently in divergence2.m');

D=zeros(size(V));

for (i=1:N1)
  for (j=1:N2)
    v=squeeze(V(i,j,:));
    w=squeeze(W(i,j,:));
    
    d=-1e-8*k(j)*v-gradient(w,t)./(c.'); % orig term
    D(i,j,:)=d;
  end;
end;
