function [f]=fast_bessel_trans(N,k,g,delta)

% compute f(i,j)=integrate(k,J_N(k*delta(i)).*g(:,j));

Nw = length(g(:,1));

f = zeros(Nw,length(delta));

for i = 1:length(delta)
    C = besselj(N,k*delta(i));
    for j = 1:Nw
        f(j,i)=integrate(k,C.*g(j,:));
    end
end

