function [B]=fast_interp2(x,A,tx)
%
%
%

[N,M]=size(A);


Nx=length(x);

Ntx=length(tx);


B=zeros(N,Ntx);

dx=x(2)-x(1);
if (dx==0)
  error('dx == 0');
end;

x1=x(1);

for i=1:length(tx)
  
  %
  % index of the x to the left of this xi(i)
  %
  ind=floor( (tx(i)-x1)/dx)+1;

  %
  % remainder
  %
  %r=rem(  (tx(i)-x1), dx)/dx;
  r=(tx(i)-(ind-1)*dx-x1)/dx;
  %if (tx(i)>4.75 & tx(i)<4.85)
  %  ind,r,tx(i),A(200,ind),A(200,ind+1),
  %end;
  
  %
  % if ind is in bounds
  %
  if (ind>=1 & ind<Nx)
    B(:,i)=(1-r)*A(:,ind)+r*A(:,ind+1);
  elseif (ind==Nx)
    B(:,i)=A(:,end);
  elseif(ind>Nx)
    B(:,i)=0*A(:,end);
  elseif(ind<1)
    B(:,i)=A(:,1);
  else
    error('error in fast_interp2');
  end;
end;
