function [t_out,SG]=generic_integrand(params,p,tw,k,power_of_k)


omega=p.w(tw);

for i=1:length(params)
    SRC=params{i}.SRC;             %% source type
    OBS=params{i}.OBS;             %% observation type
    FIXED_OBS=params{i}.FIXED_OBS; %% fixed obs depth ?
    t_src = p.t_src;               %% source for fixed source calcs
    t_obs = p.t_obs;               %% obs for fixed obs
    USE_OTF=params{i}.USE_OTF;     %% use otf
    F=0;                           %% dont reload eigenfunctions

    if FIXED_OBS==1
        [t_out,G,c]=calc_green8c(omega,k,USE_OTF,SRC,OBS,t_obs,FIXED_OBS,p,F);
    else
        [t_out,G,c]=calc_green8c(omega,k,USE_OTF,SRC,OBS,t_src,FIXED_OBS,p,F);
    end
    
    G=squeeze(G);
    
    % take z derivative if needed
    if isfield(params{i},'take_derivative')
        take_derivative=params{i}.take_derivative;
        
        if take_derivative %% if want the z derivative
%             a=load([p.model_file]);
%             m=a.m;
%             z=1e8*interp1(m.t,m.r,t_out); % put gradient in units of /cm
%             ctmp = interp1(m.t,m.c,t_out);
%             disp('INFO: generic_integrand.m : taking t derivative');
            for j=1:length(k)
                %                 G(:,j)=gradient(G(:,j),z);
                G(:,j)=-gradient(G(:,j),t_out) ./ c.';
            end
%             clear ctmp
        end
    end
    
    % interpolate at a single depth if needed
    if isfield(params{i},'single_depth')
        G=my_interp(t_out.',G,params{i}.single_depth,0,1,1);
    end
    
    % take complex conjugate if needed
    if isfield(params{i},'conjugate')
        conjugate=params{i}.conjugate;
        if conjugate
            G=conj(G);
        end
    end
    
    % save result if first one
    if i==1
        SG=G;
    end
    
    % if not first one, accumulate the product
    if i>1
        if size(G)==size(SG)
            SG=SG.*G;
        else
            for j=1:length(t_out)
                SG(j,:)=SG(j,:).*G;
            end
        end
    end
end

% multiply by power of k (if required)
if power_of_k~=0
    for j=1:length(k)
        SG(:,j)=SG(:,j)*( (1e-8*k(j))^power_of_k); % convert k from 1/Mm to 1/cm
    end
end


