function [M]=get_OTF(k,which_OTF)

% Function [M]=get_OTF(k);
%  - take k in 1/Mm and get the OTF

if which_OTF == 1
    %mtf_x=ra_fitsread('/home01/gizon/MTF_HRES_Tarbel/deg_mtf.fits');
    %mtf_y=ra_fitsread('/home01/gizon/MTF_HRES_Tarbel/mtf.fits');
    mtf_x=ra_fitsread('/data/seismo/birch/kc2/deg_mtf.fits');
    mtf_y=ra_fitsread('/data/seismo/birch/kc2/mtf.fits');
    M=interp1(mtf_x,mtf_y,696*k);
    M(find(isnan(M)))=0;
elseif (which_OTF==2)
    M=sqrt(0.865*exp(-(k*696/364).^2)+0.135);
%     disp('INFO: get_OTF.m: using giles full-disk OTF');
elseif (which_OTF==3)
    beta=3.5;
    M=exp(-beta/2*k);
elseif which_OTF == 6
    beta=3.5-1.2;
    M=exp(-beta/2*k);
%     disp(['INFO: get_OTF.m: using empirical full-disk OTF, beta=' num2str(beta) ]);
elseif (which_OTF==5)
    beta=2;
    M=exp(-beta/2*k);
%     disp(['INFO: get_OTF.m: using empirical hi-res OTF, beta=' num2str(beta) ]);
else
    M=ones(size(k));
end



