function [w,ft]=gizon_fft(t,f);
%% given a function f on a evenly space time grid t
%% t should be of the form (-T):dt:T
%% take the fft
%% put the frequency grid in a nice form for plotting
%% the frequency is angular frequency
%% use gizon convention for the fft
%% f(\omega) =\frac{1}{2\pi} \int dt f(t) \exp{i\omega t}
%% use only on odd length grids


dt=t(2)-t(1);
T=min(t);
N=length(t);

dw=2*pi/N/dt;
w=((1:N)-1)*dw;


ft=dt*exp(-j*w*T).*fft(f);


%%% now adjust back to nicer grid
%%% adjusting w and ft
ft=fftshift(ft);
w=fftshift(w);

if (mod(N,2)) %% is N is odd
  b=(N-1)/2;
  c=(N+1)/2;
else
  error('length(t) must be odd');
  b=N/2;
  c=N/2+1;
end;



w(1:b)=w(1:b)-2*pi/dt;
%%% remember to phase shift ft !!

ft(1:b)=ft(1:b)*exp(-2*pi*j/dt*T);

%% all done
ft=fliplr(ft)/2/pi;  %% swap w for -w