function [t,f]=gizon_ifft(w,ft);
%% given a fourier domain f on a evenly spaced frequency grid wt
%% wt should be in the form that comes out of nicefft
%%
%% take the inverse fft
%% use the gizon convention
%% f(t) =\int d\omega f(\omega) \exp{-i\omega t} 
dw=w(2)-w(1);
N=length(w);
dt=2*pi/N/dw;

%% now make the t vector
t=dt*((1:N)-1);
if (mod(N,2)) %% is N is odd
  b=(N-1)/2;
  c=(N+1)/2;
else
  error('length(w) must be odd');
  b=N/2;
  c=N/2+1;
end;



t=[t(c:N)-N*dt t(1:b)];
T=min(t);

%% unwrap the frequency back to the form fft wants

w(1:b)=w(1:b)+2*pi/dt;
w=ifftshift(w);
ft=ifftshift(ft);


f=ifft(ft);
t=dt*((1:N)-1);
%%% now make t,f back into a nice symmetrical things

if (mod(N,2)) %% is N is odd
b=(N+1)/2;
c=(N+3)/2;
else
b=N/2;
c=N/2+1;
end;


t=[t(c:N)-N*dt t(1:b)];
f=[f(c:N) f(1:b)];


f=f*dw*N/2/pi; %% dahlen

f=fliplr(f)*2*pi;