function [I]=iter_calc_I11(p,tw)
%
% compute the 11th integral from R Burstons notes 
%
% I11 = 2\pi \int k\id k\; J_0(k\Delta) c_z
%
%  b_h =\mathcal{H}^*(k,\omega,z_{\rm obs}) \partial_z H_z(k,\omega,z)
% 
% tw is the grid point in frequency to compute at
%

%
% name of the file to save the integral in  
%
%name=['I11_' num2str(tw)];
name='I11';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% The Greens function: 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

params{1}.SRC=p.source_type;       
params{1}.OBS=1; %% get the horizontal component of displacement       
params{1}.FIXED_OBS=0; %% fixed source height
params{1}.USE_OTF=0;   %% use the filter F (this includes the OTF)
params{1}.take_derivative=1;  %% take vertical deriavtive

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% The Greens function: F(k,\omega) H^{*z}_{z,z_s}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
params{2}.SRC=p.source_type;       
params{2}.OBS=1;       
params{2}.FIXED_OBS=0; %% fixed source height
params{2}.USE_OTF=1;   %% use the filter F (this includes the OTF)
params{2}.conjugate=1;   %% take the complex conjugate
params{2}.single_depth=p.t_obs;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% here are non-Greens function inputs
% power_of_k is the power of k to appear in the integral
%
% bessel_n is the order of bessel function
% scale is a factor in front of the integral.
% 
% iter_calc assumes that k is in 1/Mm.  We want an answer in cgs
% units, no need to take case of the powers of 1e-8 in scale
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
power_of_k=1;
%
% remember an extra power of (1e-8) for the dk
%
%scale=2*pi*(1e-8)^(power_of_k+1);
scale=2*pi*(1e-8);
bessel_n=0;

[I, t] =iter_calc(p,tw,params,power_of_k,bessel_n,scale,name);
