function [I]=iter_calc_I18(p,tw)
%
% compute I18 which is equivalent to II from ACB et al 2004
%
name='I18';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% The Greens function:
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

params{1}.SRC=3;       %% Not too sure about this one. I thouht this was divergence
params{1}.OBS=2;       %% get the horizontal component of displacement       
params{1}.FIXED_OBS=0; %% fixed source height
params{1}.USE_OTF=0;   %% use the filter F (this includes the OTF)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% The Greens function: 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

params{2}.SRC=3;       
params{2}.OBS=1;    
params{2}.FIXED_OBS=0;
params{2}.USE_OTF=1; 
params{2}.conjugate=1; 
params{2}.single_depth=p.t_obs;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% here are non-Greens function inputs
% power_of_k is the power of k to appear in the integral
%
% bessel_n is the order of bessel function
% scale is a factor in front of the integral.
% 
% iter_calc assumes that k is in 1/Mm.  We want an answer in cgs
% units, no need to take case of the powers of 1e-8 in scale
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
power_of_k=1;
scale=2*pi*(1e-8); % extra power of (1e-8) for the dk
bessel_n=0;

  

[I, t] =iter_calc(p,tw,params,power_of_k,bessel_n,scale,name);
