function [I]=iter_calc_I3(p,tw)
%
% compute the 3rd integral from the  notes 
%
% I_3 = i 2\pi \int dk k^2 J_0(k\Delta) F(k,\omega) G^{*h}_z (k,\omega,z_obs,z) \\
% 
% tw is the grid point in frequency to compute at
%
% In the following, I use the source type from input file.
% to get the above result, pass p.source_type=1. 
%
% if in doubt, can check in calc_green8c.m and 
% also in generic_integrand.m
%


%
% name of the file to save the integral in  
%
%name=['I3_' num2str(tw)];
name='I3';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% The Greens function: F(k,\omega) G_z^h (k,omega,z_obs,z)
%  Included the filter with this term
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

params{1}.SRC=0;       %% horizontal source
params{1}.OBS=1;       %% vertical component of displacement       
params{1}.FIXED_OBS=1; %% fixed observation G(k,\omega,z_{obs},z)
params{1}.USE_OTF=1;   %% use the filter F (this includes the OTF)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% here are non-Greens function inputs
% power_of_k is the power of k to appear in the integral
%
% bessel_n is the order of bessel function
% scale is a factor in front of the integral.
% 
% iter_calc assumes that k is in 1/Mm.  We want an answer in cgs
% units, no need to take case of the powers of 1e-8 in scale
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
power_of_k=2;
%
% remember an extra power of (1e-8) for the dk
%
%scale=2*pi*sqrt(-1)*(1e-8)^(power_of_k+1);
scale=2*pi*1i*(1e-8);
bessel_n=0;

  

[I, t] =iter_calc(p,tw,params,power_of_k,bessel_n,scale,name);
