function c=make_card(keyword,value,varargin)
% Make Keyword card for FITS header
  
  
c = char(32*ones(1,80));
  
if nargin>3
  error('make_card can only use two or three input arguments')
end
  
%
% fits standard requires uppercase
% for keywords
%
keyword=upper(keyword);

  
if ~length(value) %% empty value
  s=sprintf('%s',keyword);
  len=min(length(s),80);
  c(1:len) = s(1:len);
    
elseif strcmp(value,'T') | strcmp(value,'F') %% for logicals
  s=sprintf('%s',keyword);
  len=min(length(s),80);
  c(1:len) = s(1:len);
  c(30)=value;
  c(9)='=';
  
elseif isstr(value) %% for strings
  s=sprintf('%s',keyword);
  len=min(length(s),80);
  c(1:len) = s(1:len);
  
  if length(value)<8 %% short string
    c(12:11+length(value))=value;
    c(11)=char(39);
    c(20)=char(39);
  elseif length(value)>68 %% long string
    value=value(1:68);
    c(12:11+length(value))=value;
    c(11)=char(39);
    c(12+length(value))=char(39);
  else
    c(12:11+length(value))=value;
    c(11)=char(39);
    c(12+length(value))=char(39);
  end
  
  c(9)='=';
    

elseif isreal(value) %% real number
  s=sprintf('%s',keyword);
  c(1:min(length(s),80)) = s(1:min(length(s),80));
  
  if value==round(value) % integer
    s=sprintf('%d',value);
  else
    %
    % i changed this from %f to %e
    % %f can lead to loss of digits
    % ACB
    % also need to change the lower case e
    % to uppercase
    s=upper(sprintf('%e',value)); % float
  end
    
  c(31-length(s):30)=s;
  c(9)='=';
else
  error('cant figure out the type of value, probably complex #');
end

%
% this next bit of code deal with adding the optional comment
% string
% ACB Mon Aug 13 16:46:11 CEST 2012
%
if nargin==3 
  %
  % comment string is optional third argument
  %
  comment=[' / ' strtrim(varargin{1})];
  
  %
  % find last character that is not a space
  %
  last=find(c~=' ',1,'last');
  %
  % put the comment into a string
  % and also trim trailing white space
  %
  %
  s=sprintf('%s',comment);
  %
  % max allowable length of the comment
  %
  % if last is 80, the the allowed length is zero
  %
  max_allowed_len=80-last;
  
  %
  % first three characters are ' / ' 
  % so don't bother unless we have room for
  % at least four characters
  %
  if max_allowed_len>=4
    %
    % trim the comment down to the
    % maximum allowed length
    % and i[
    %
    if length(s)>max_allowed_len
      s=s(1:max_allowed_len);
    end
    %
    % length of the comment
    %
    len=length(s);
    
    %
    % now fill up c
    %
    index_1=last+1;
    index_2=min(last+len,80);
    c(index_1:index_2)=s;
  end

end %%% end if comment string