function [F]=make_f_filter(w,k,p)

persistent a0 a1

if isempty(a0)
  a0=load([p.eigs_for_filter_file '0']);
  a1=load([p.eigs_for_filter_file '1']);
end


w0=interp1(a0.k, real(a0.omega), k);
w1=interp1(a1.k, real(a1.omega), k);

% p_1 filters
F =zeros(length(k),length(w));

% U=800*1e-6; %%      m/s flow in Mm/s;

Nk=length(k);

for i=1:Nk
    
    %  w_a = w0(i) - 4 *U*k(i);
    %  w_b = w0(i) - U*k(i);
    %  w_c = w0(i) + U*k(i);
    %  w_d = w0(i) + 4*U*k(i);
    
    delt = w1(i)-w0(i); % for the fmode delta is typically 0.0026 for i = 1
     
    if (p.filter_case==1)
       w_a = w0(i) -3/4 * delt;  % 0.0033 for i = 1
       w_b = w0(i) -1/4 * delt;  % 0.0046 for i = 1
       w_c = w0(i) +1/4 * delt;  % 0.0059 for i = 1
       w_d = w0(i) +3/4 * delt;  % 0.0072 for i = 1
       F(i,:)=F(i,:)+(w>=w_c & w<=w_d).*(1-0.5*(1+cos( pi*(w-w_d)/(w_c-w_d))));
       F(i,:)=F(i,:)+(w>=w_a & w<=w_b).*(1-0.5*(1+cos( pi*(w-w_a)/(w_b-w_a))));
       F(i,:)=F(i,:)+(w>w_b & w<w_c)*1.0;
    end
    if (p.filter_case==2)
       w_a = w0(i) -3/8 * delt;
       w_b = w0(i) -1/8 * delt;
       w_c = w0(i) +1/8 * delt;
       w_d = w0(i) +3/8 * delt;
       F(i,:)=F(i,:)+(w>=w_c & w<=w_d).*(1-0.5*(1+cos( pi*(w-w_d)/(w_c-w_d))));
       F(i,:)=F(i,:)+(w>=w_a & w<=w_b).*(1-0.5*(1+cos( pi*(w-w_a)/(w_b-w_a))));
       F(i,:)=F(i,:)+(w>w_b & w<w_c)*1.0;
    end
    if (p.filter_case==3)
       w_a = w0(i) -3/4  * delt;
       w_b = w0(i) -1/4  * delt;
       w_c = w0(i) +1/32 * delt;  
       w_d = w0(i) +3/32 * delt;
       F(i,:)=F(i,:)+(w>=w_c & w<=w_d).*(1-0.5*(1+cos( pi*(w-w_d)/(w_c-w_d))));
       F(i,:)=F(i,:)+(w>=w_a & w<=w_b).*(1-0.5*(1+cos( pi*(w-w_a)/(w_b-w_a))));
       F(i,:)=F(i,:)+(w>w_b & w<w_c)*1.0;
    end
    if (p.filter_case==4)
       w_a = w0(i) -3/4  * delt;
       w_b = w0(i) -1/4  * delt;
       w_c = w0(i) +1/64 * delt * (((i-1)*.02)+1);
       w_d = w0(i) +3/64 * delt * (((i-1)*.02)+1);
       F(i,:)=F(i,:)+(w>=w_c & w<=w_d).*(1-0.5*(1+cos( pi*(w-w_d)/(w_c-w_d))));
       F(i,:)=F(i,:)+(w>=w_a & w<=w_b).*(1-0.5*(1+cos( pi*(w-w_a)/(w_b-w_a))));
       F(i,:)=F(i,:)+(w>w_b & w<w_c)*1.0;
    end
    if (p.filter_case==5)
       w_c = w0(i) +1/64 * delt * (((i-1)*.02)+1);
       w_d = w0(i) +3/64 * delt * (((i-1)*.02)+1);
       F(i,:)=F(i,:)+(w>=w_c & w<=w_d).*(1-0.5*(1+cos( pi*(w-w_d)/(w_c-w_d))));
       F(i,:)=F(i,:)+(w<w_c)*1.0;
    end
 
    
    
    
    
    %for j=1:Nw
    % if w(j)<w_a
    %   F(i,j)=0;
    % elseif w(j)>w_d
    %   F(i,j)=0;
    % elseif w(j)>=w_a & w(j)<=w_b
    %   F(i,j)=1-0.5*(1+cos( pi*(w(j)-w_a)/(w_b-w_a)));
    %% elseif w(j)>=w_c & w(j)<=w_d
    %   F(i,j)=1-0.5*(1+cos( pi*(w(j)-w_d)/(w_c-w_d)));
    % else
    %   F(i,j)=1;
    % end
    

end

F(isnan(F))=0;
