function [F]=make_p1_filter(w,k,p)

a0=load([p.eigs_for_filter_file '0']);
a1=load([p.eigs_for_filter_file '1']);
a2=load([p.eigs_for_filter_file '2']);

w0=interp1(a0.k, real(a0.omega), k);
w1=interp1(a1.k, real(a1.omega), k);
w2=interp1(a2.k, real(a2.omega), k);

% p_1 filters
Nk=length(k);
Nw=length(w);
F =zeros(Nw,Nk);

for i=1:Nk
    
    %  w_a = w1(i) - 4 *U*k(i);
    %  w_b = w1(i) - U*k(i);
    %  w_c = w1(i) + U*k(i);
    %  w_d = w1(i) + 4*U*k(i);
    
    d1= w1(i)-w0(i);
    d2= w2(i)-w1(i);
    
    if (p.filter_case==1) % run0207
       w_a=w1(i) - 3/4 * d1;
       w_b=w1(i) - 1/4 * d1;
       w_c=w1(i) + 1/4 * d2;
       w_d=w1(i) + 3/4 * d2;
    end
    if (p.filter_case==2) % run0208
       w_a=w1(i) - 3/8 * d1;
       w_b=w1(i) - 1/8 * d1;
       w_c=w1(i) + 1/8 * d2;                  
       w_d=w1(i) + 3/8 * d2;   
    end
    if (p.filter_case==3) % run0209
       w_a=w1(i) - 3/4 * d1;
       w_b=w1(i) - 1/4 * d1;
       w_c=w1(i) + 1/32 * d2;
       w_d=w1(i) + 3/32 * d2;
    end
    if (p.filter_case==4) % run0210
       w_a=w1(i) - 3/8 * d1;
       w_b=w1(i) - 1/8 * d1;
       w_c=w1(i) + 1/64 * d2;
       w_d=w1(i) + 3/64 * d2;
    end
    if (p.filter_case==5) % run0211
       w_a=w1(i) - 3/4 * d1;
       w_b=w1(i) - 1/4 * d1;
       w_c=w1(i) + 1/64 * d2 * (((i-1)*.02)+1);
       w_d=w1(i) + 3/64 * d2 * (((i-1)*.02)+1);      
    end

    % plot(i,w_a,'ro');hold on;
    % plot(i,w_b,'go');
    % plot(i,w_c,'bo');
    % plot(i,w_d,'ko');
    
    for j=1:Nw
        if w(j)<w_a
            F(j,i)=0;
        elseif w(j)>w_d
            F(j,i)=0;
        elseif w(j)>=w_a && w(j)<=w_b
            F(j,i)=1-0.5*(1+cos( pi*(w(j)-w_a)/(w_b-w_a)));
        elseif w(j)>=w_c && w(j)<=w_d
            F(j,i)=1-0.5*(1+cos( pi*(w(j)-w_d)/(w_c-w_d)));
        else
            F(j,i)=1;
        end
        
        if isnan(w_a)
            F(j,i)=0;
        end
        
    end
end

F(isnan(F))=0;
F=F.';
 
