function [F]=make_ridge_filter(w,k,p)
%
%
%

  disp('in make_p1_filter')

a0=load([p.eig_file '0']);
a1=load([p.eig_file '1']);
a2=load([p.eig_file '2']);

w0=interp1(a0.k, real(a0.omega), k);
w1=interp1(a1.k, real(a1.omega), k);
w2=interp1(a2.k, real(a2.omega), k);


%
% p_1 filters
%
F =zeros(length(w),length(k));

U=800*1e-6; %%      m/s flow in Mm/s;

Nk=length(k);
Nw=length(w);

for i=1:Nk

  w_a = w1(i) - 4 *U*k(i);
  w_b = w1(i) - U*k(i);
  w_c = w1(i) + U*k(i);
  w_d = w1(i) + 4*U*k(i);
    
  for j=1:Nw
    if w(j)<w_a
      F(j,i)=0;
    elseif w(j)>w_d
      F(j,i)=0;
    elseif w(j)>=w_a & w(j)<=w_b
      F(j,i)=1-0.5*(1+cos( pi*(w(j)-w_a)/(w_b-w_a)));
    elseif w(j)>=w_c & w(j)<=w_d
      F(j,i)=1-0.5*(1+cos( pi*(w(j)-w_d)/(w_c-w_d)));
    else
      F(j,i)=1;
    end
    
    if isnan(w_a)
      F(j,i)=0;
    end
    
  end
end
