function [Filt]=make_tom_filter(i,k,f,fname)
%
% take k and f and return the i^th filter
%
%
% exclude the f-mode
%
l=k*696;

Filt=zeros(length(f),length(k));

[wk0,FWHM]=read_tom_filter(i,fname);



for (i=1:length(l))
  if (l(i)==0)
    Filt(:,i)=0;
  else
    Filt(:,i)=exp(-0.5*(f.'/l(i)*1e3-wk0).^2 / ( FWHM/2.355)^2);
  end;
end;



f0=sqrt(274e2*k*1e-8)/2/pi*1e3;
P(1)=4.8743e-5;
P(2)=3.1719e-4;
P(3)=5.2605e-5;
f1=sqrt(polyval(P,k))/2/pi*1e3;

for (i=1:length(k))
  delta=(f1(i)-f0(i))/4;
  for (j=1:length(f))
    if (f(j)<f0(i)+delta)
      Filt(j,i)=0;
    elseif(f(j)>f1(i)-delta)
      Filt(j,i)=Filt(j,i);
    else
      Filt(j,i)=Filt(j,i)*0.5*(1+cos(-pi+pi*(f(j)-f0(i)-delta)/2/delta));
    end;
  end;
end;


