function [M2]=my_interp(x,M,xi,DERIV,scale,AXIS)

% function [M2]=my_interp(x,M,xi,DERIV,scale,AXIS)
%
% interpolate along the given axis
%
% if DERIV==1 then take the derivative
%
% also multiply result by scale

N=size(M);

if (length(N)>3)
    error('cant use a matrix with with dimension larger than three')
end

if (length(x)~=N(AXIS))
    error('x is the wrong size in my_interp')
end

N(AXIS)=length(xi);

M2=zeros(N);

if (length(N)==1)
    M2=do_scale_deriv(M,x,xi,scale,DERIV);
elseif (length(N)==2)
    if (AXIS==1)
        for j=1:N(2)
            M2(:,j)=do_scale_deriv(M(:,j),x,xi,scale,DERIV);
        end
    elseif(AXIS==2)
        for j=1:N(1)
            M2(j,:)=do_scale_deriv(M(j,:),x,xi,scale,DERIV);
        end
        
    end
elseif (length(N)==3)
    if (AXIS==1)
        for i=1:N(2)
            for j=1:N(3)
                M2(:,i,j)=do_scale_deriv(M(:,i,j),x,xi,scale,DERIV);
            end
        end
    elseif(AXIS==2)
        for i=1:N(1)
            for j=1:N(3)
                M2(i,:,j)=do_scale_deriv(M(i,:,j),x,xi,scale,DERIV);
            end
        end
    elseif(AXIS==3)
        for i=1:N(1)
            for j=1:N(2)
                M2(i,j,:)=do_scale_deriv(M(i,j,:),x,xi,scale,DERIV);
            end
        end
    end
end



function [v]=do_scale_deriv(f,x,xi,scale,DERIV)

f=squeeze(f);

if (size(f)~=size(x))
    x=x.';
end

if (DERIV)
    f=gradient(f,x);
end

if (length(scale)~=1 && size(f)~=size(scale))
    scale=scale.';
end

v=interp1(x,f.*scale,xi);

