function [M2]=my_interp_deriv(x,M,xi,scale,AXIS)
%
% function [M2]=my_interp_scale(x,M,xi,scale,AXIS)
%
%
% interpolate along the given axis
%
% then take the derivative
%
% also multiply result by scale
%
%

N=size(M);

if (length(N)>3)
  error('cant use a matrix with with dimension larger than three')
end;



if (length(x)~=N(AXIS))
  error('x is the wrong size in my_interp')
end;


N(AXIS)=length(xi);

M2=zeros(N);


%
% do the 'interpolation'
%
f=my_interp_v2(x,M,x,AXIS); 

%
% now take derivative
%




if (DERIV)
  f=gradient(f,x);
end;

if (length(scale)~=1 & size(f)~=size(scale))
  scale=scale.';
end;

v=interp1(x,f.*scale,xi);



