function [Out]=my_interp_v2(x,M,xi,AXIS)
%
% function [M2]=my_interp_v2(x,M,xi,AXIS)
%
%
% simple interpolation
%
% interpolate along the second dimension
%


N=size(M);

if (length(N)~=3)
  error('cant use a matrix with with dimension that is not three')
end;

if (AXIS~=2 & AXIS~=3)
  error('need AXIS equal to two or three');
end;


if (AXIS==2)
  if (length(x)~=N(2))
    error('x is the wrong size in my_interp')
  end;

  %
  % make space for the result
  %
  N(2)=length(xi);
  Out=zeros(N);

  for (i=1:N(1))
    tmp=fast_interp2(x,squeeze(M(i,:,:)).',xi).';
    Out(i,:,:)=reshape(tmp,[1 N(2) N(3)]);
  end;
  
else
  if (length(x)~=N(3))
    error('x is the wrong size in my_interp')
  end;

  N(3)=length(xi);
  Out=zeros(N);

  for (i=1:N(1))
    tmp=fast_interp2(x,squeeze(M(i,:,:)),xi);
    Out(i,:,:)=reshape(tmp,[1 N(2) N(3)]);
  end;

  
  
end;

