function p=read_input(fname)

disp(['INFO: Starting ' mfilename('fullpath') ' SVN $Revision: 120 $']);

% Read input parameter file named fname and put results in structure p

f=fopen(fname,'r');
if f==-1, error(['ERROR: read_input.m : can''t open file ' fname]);end

% name of the input file
p.input_name=fname;

% Which run are you up to?
[s]=fget_nextl(f);
p.runnum=s;

% Main Computation : kernels, greens_functions, birch_csq, birch_vel
[s]=fget_nextl(f);
p.main_comp=s;

% p.SVM : comma separated list of desired kernels csq, rho, P, vx, vy, vz, BxBx, BxBy, BxBz, ByBy, ByBz, BzBz
% Clearly only relevant if Main Computation is kernels
[s]=fget_nextl(f);
p.SVM=s;

% mean, diff, plus, or minus kernels
[s]=fget_nextl(f);
p.mdpm=s;

% Assume hydro equilibrium such that pressure -> density (rhoterm5)? Yes = 1, No = 0
[s]=fget_nextl(f);
p.hydro=str2double(s);

% Solar Model File
[s]=fget_nextl(f);
p.model_file=s;

% whether to use I18/I17 or I3/I6/I7/I11
[s]=fget_nextl(f);
p.common=s;

% Save integrals?
[s]=fget_nextl(f);
p.save_ints=str2double(s);

% Truncate Height Grid? yes or no?
[s]=fget_nextl(f);
p.truncate=s;

% get truncate value
[s]=fget_nextl(f);
p.trunc_val=str2double(s);

% Prune Height Grid? yes or no
[s]=fget_nextl(f);
p.prune=s;

% get prune value
[s]=fget_nextl(f);
p.prune_val=str2double(s);

% filter file
[s]=fget_nextl(f);
p.filter_file=s;
p.filter_name=p.filter_file;
% remove or keep specified filter
[s]=fget_nextl(f);
p.f_keep_rm=s;

% If assume hydrostatic equilibrium, the pressure term becomes a density term (rhoterm5)
[s]=fget_nextl(f);
p.filter_case=str2double(s);

% fullbox or quarterbox
[s]=fget_nextl(f);
p.box=s;

% the limits of the box
[s]=fget_nextl(f);
p.xboxl=str2double(s);
[s]=fget_nextl(f);
p.xboxr=str2double(s);
[s]=fget_nextl(f);
p.yboxl=str2double(s);
[s]=fget_nextl(f);
p.yboxr=str2double(s);

% OTF file
[s]=fget_nextl(f);
p.which_otf=str2double(s);

% min distance
[s]=fget_nextl(f);
p.min_distance=str2double(s);

% max distance
[s]=fget_nextl(f);
p.max_distance=str2double(s);

% number of distances
[s]=fget_nextl(f);
p.N_distance=str2double(s);

% guess file for making the time windows
[s]=fget_nextl(f);
p.guess_times_file=s;

% Greens function type
[s]=fget_nextl(f);
p.greens_function_type=s;

% eigenfunction file
[s]=fget_nextl(f);
p.eig_file=s;

% eigenfunction type
[s]=fget_nextl(f);
p.eig_type=s;

% damping file
[s]=fget_nextl(f);
p.damping_file=s;

% damping factor
[s]=fget_nextl(f);
p.dfact=str2double(s);

% calc_mzero factor
[s]=fget_nextl(f);
p.mzero_fact=str2double(s);

% min value of n
[s]=fget_nextl(f);
p.min_n=str2double(s);

% max value of n
[s]=fget_nextl(f);
p.max_n=str2double(s);

% max mode frequency
[s]=fget_nextl(f);
p.max_mode_frequency=str2double(s);

% source depth
[s]=fget_nextl(f);
p.src_depth=str2double(s);

% source type
[s]=fget_nextl(f);
p.source_type=str2double(s);

% observation depth
[s]=fget_nextl(f);
p.obs_depth=str2double(s);

% line shape gaussian or lorentzian
[s]=fget_nextl(f);
p.lineshape=s;

% source correlation time
[s]=fget_nextl(f);
p.src_time=str2double(s);

% min frequency
[s]=fget_nextl(f);
p.min_f=str2double(s);

% max frequency
[s]=fget_nextl(f);
p.max_f=str2double(s);

% number of steps in frequency
[s]=fget_nextl(f);
p.N_omega=str2double(s);

% min k
[s]=fget_nextl(f);
p.min_k=str2double(s);

% max k
[s]=fget_nextl(f);
p.max_k=str2double(s);

% number of grid points in k
[s]=fget_nextl(f);
p.N_k=str2double(s);

% number of grid points in horizontal direction (x)
[s]=fget_nextl(f);
p.N_gridx=str2double(s);

% number of grid points in cross-ray direction (y)
[s]=fget_nextl(f);
p.N_gridy=str2double(s);

% verbose output level (0=none, 5 = all, recommended =1)
[s]=fget_nextl(f);
p.vol=str2double(s);

% output directory
[s]=fget_nextl(f);
p.out_directory=s;

% executable directory
[s]=fget_nextl(f);
p.exec_directory=s;

% save curly C functions 1 = yes, no = 0
[s]=fget_nextl(f);
p.save_CC=str2double(s);

% eigs from which to compute filter relative to
[s]=fget_nextl(f);
p.eigs_for_filter_file=s;

% the factor for which to divide dx by... i.e. increase or decrease delta_grid resolutioin. This is not dx horizontal
[s]=fget_nextl(f);
p.delta_grid_fact=str2double(s);

fclose(f);

p=check_and_process_params(p);

disp(['INFO: Finishing ' mfilename('fullpath') ' SVN $Revision: 120 $']);

