function tdkc(fname, dist_ind, omega_min_idx, omega_max_idx)

maxNumCompThreads(1);

% The inputs are read in as strings; needed to run compiled code
dist_ind  = str2double(dist_ind);
omega_min_idx = str2double(omega_min_idx);
omega_max_idx = str2double(omega_max_idx);

try
    p=read_input(fname);
catch ME
    fprintf(1,['ERROR: tdkc.m :  failed to read and or process file ' fname '\n']);
    rethrow(ME);
end

% Main Computation
if strcmp(p.main_comp,'power')
    fprintf(1,'INFO: tdkc.m : Computing power spectrum\n');
    compute_power(p);
elseif strcmp(p.main_comp,'zeroth_order')
    fprintf(1,'INFO: tdkc.m : Starting computation of the zero-order problem\n');
    copy_inputs(p);
    compute_zero_order(p);
    save([p.out_directory 'structure'],'p');
    fprintf(1,'INFO: tdkc.m : Finished computation of the zero-order problem\n');
elseif strcmp(p.main_comp,'kernels')
    compute_Kchunk (dist_ind, omega_min_idx, omega_max_idx, max(p.delta), p)
elseif strcmp(p.main_comp, 'greens')
    compute_greens_functions(p);
end

end
